function discreps = RetVolFunc(unk)

global c mu s delta theta gamma z 

T=numel(s);
r=unk(1);
R=(1/(1+r)).^(1:T);  %  Discounter
P=R*s;  %  PDV of unit productivity flow
q=mu*theta^(-0.5);
W=P-c/q;
phi=mu*theta^0.5;
etabar=R(1:T-1)*(s(1:T-1)-s(2:T));  %  PDV of separations
U=((1+r)*z+phi*W)/(r+(1-etabar)*phi);
V=U*etabar;  %  PDV post-separation

discreps(1,1)=((1+r)*(delta*U+(1-delta)*(z+gamma))/(r+delta) +P-V-2*W);
