function discreps = RetVolFunc2(Wunk)
%  Version to calculate the wage determination curve
%  Given theta, find the W that solves all the equations except the
%  zero-profit condition

% global  mu s alpha delta theta x r gamma z P
global mu s delta theta gamma z r 

W=Wunk(1);
%  P=(1+r)*x/(r+s);
T=numel(s);
R=(1/(1+r)).^(1:T);  %  Discounter
P=R*s;  %  PDV of unit productivity flow
phi=mu*theta^0.5;
% U=((1+r)*z*xHat+phi*W)/(r*(1+phi/(r+s)));
etabar=R(1:T-1)*(s(1:T-1)-s(2:T));  %  PDV of separations
U=((1+r)*z+phi*W)/(r+(1-etabar)*phi);
V=U*etabar;  %  PDV post-separation
%  V=s*U/(r+s);
discreps(1,1)=((1+r)*(delta*U+(1-delta)*(z+gamma))/(r+delta) +P-V-2*W);
%  discreps(1,1)=((1+r)*(delta*U+(1-delta)*(z+gamma)*xHat)/(r+delta) +P-V-2*W);
save RetVolFunc2
return